[ubuntu-mono] [Bug 72971] Re: Beagled is crashing on startup, I've got an automatic report

Joe Shaw joeshaw at novell.com
Wed Dec 20 19:10:59 GMT 2006


Ok, so there are bugs here all over the place. :)

(1) There is an Ubuntu bug related to the packaging of evolution-sharp
(libevolution-cil 0.11.1+cvs20060516-0ubuntu) which is a CVS version
that only partially supported evolution-data-server 1.8.  There is an
0.12.0 release out now which properly supports e-d-s 1.8 and which does
not explicitly require evolution 2.8.

(2) evolution-sharp 0.11.1 (and CVS up until 0.12.0) had a bug where it
determined the major/minor version of evolution at compile-time, and not
at runtime.  This means that if you had Evolution 2.8 installed and
upgraded to 2.9, evolution-sharp would report the wrong version.  0.12.0
fixes this by no longer depending on evolution.

(3) Beagle has a bug in which it determined the major/minor version of
evolution at compile-time from evolution-sharp, and not at runtime.
This means that even if you somehow fixed evolution-sharp 0.11.1 to work
against evo 2.9 and rebuilt it, Beagle would still be broken.

(4) And lastly, Beagle has a bug in which this error is fatal to the
running of the daemon.  It shouldn't be.

Ok!  So the solution simply is: upgrade evolution-sharp (libevolution-
cil on Ubuntu) to 0.12.0, taking care of bug (1).  I will make the fixes
to Beagle for (4).  To maintain compatibility with Evolution 2.4 and
2.6, I'm not going to fix (2) or (3); the old status quo will be "good
enough" for older distributions.

-- 
Beagled is crashing on startup, I've got an automatic report
https://launchpad.net/bugs/72971



More information about the Ubuntu-mono mailing list